Subject: Re: AODV: RREP answer coming through an unknown neighbour

From: "Elizabeth M. Royer" <[email-masked]>
Date: Tue, 4 Sep 2001 09:04:07 -0700 (PDT)

Hi Yves,

My recommendation would be that whenever a node receives an AODV
control packet from an unknown neighbor, that node should create 
a routing table entry for that neighbor and set the sequence number 
for that neighbor equal to 0.  I don't think that should cause any
problems.

Elizabeth

~> 
~> Hello Yves,
~> 
~> > Doesn't it seem odd to be using as next hop a node about which you have no
~> > knowledge at all (except IP address) ?
~> 
~> What other kind of knowledge is needed about the next hop?
~> 
~> IP's traditional route table is built so that the next hop is
~> on the same subnet, but we don't necessarily have subnets, so
~> that the traditional route table model needs modifications.
~> 
~> Or, did I miss the point?
~> 
~> Regards,
~> Charlie P.
~> 
~> 
================================================================================

---

From: Yves Prelot <[email-masked]>
Date: Thu, 06 Sep 2001 15:36:46 +0200

Hi,

Elizabeth M. Royer wrote:

I believe your recommendation corrects the problem. I think it should
be added somewhere in the draft. It could be something general, like "When
a node receives a routing message from a neighbour which is not yet in
the AODV routing table, an entry is created for that neighbour, with Sequence
Number set to 0, Lifetime set to etc...".

Charles E. Perkins wrote:

What other kind of knowledge is needed about the next hop?
IP's traditional route table is built so that the next hop is
on the same subnet, but we don't necessarily have subnets, so
that the traditional route table model needs modifications.
Or, did I miss the point?

It mostly doesn't seem consistent from a logical point of view that
we create a route going through a node which is and remains unknown to
the AODV algorithm.

Also, when implementing AODV, I do not create routes to neighbours
in the same way as I create routes to distant hosts; when I create a route
to a distant host, I tell the system that the distant host is reached through
a gateway (the neighbour); this is only accepted if the neighbour already
exists in the IP routing table. But in the situation I present, the neighbour
doesn't exist because the algorithm didn't care to inform the IP route
layer of the existence of this neighbour.

Regards,

Yves